# Django settings for tagbase project example windows settings.

DEBUG = True
TEMPLATE_DEBUG = DEBUG

ADMINS = (
    # ('Your Name', 'your_email@domain.com'),
)

MANAGERS = ADMINS

DATABASE_ENGINE = 'sqlite3'           # 'postgresql_psycopg2', 'postgresql', 'mysql', 'sqlite3' or 'oracle'.
DATABASE_NAME = 'C:\\Documents and Settings\\emilyw\\My Documents\\test\\gutentag1.0\\tagbase\\example_gutentagdb' # path to database escape backslashes in windows with '\' file.
DATABASE_USER = ''             # Not used with sqlite3.
DATABASE_PASSWORD = ''         # Not used with sqlite3.
DATABASE_HOST = ''             # Set to empty string for localhost. Not used with sqlite3.
DATABASE_PORT = ''             # Set to empty string for default. Not used with sqlite3.

# Local time zone for this installation. Choices can be found here:
# http://en.wikipedia.org/wiki/List_of_tz_zones_by_name
# although not all choices may be available on all operating systems.
# If running in a Windows environment this must be set to the same as your
# system time zone.
TIME_ZONE = 'Australia/Sydney'


# If blast is installed name of directory where blast databases will be written
# Else ''
# If blast is not installed automatic tag generation the ability to perform
# blast against sequences and use of GO browser are not available.
BLASTDB = "C:\\blastspace" # path must not contain spaces; escape backslashes in windows

# If blast is installed - the full path to the executables. Note that in windows you need either the DOS
# short path name so that there are no spaces e.g. "Program File" = "PROGRA~1" or,
# simply place your blast executables on a path without spaces e.g. "C:\\bin\\blast"
FORMATDB = "C:\\PROGRA~1\\blast\\bin\\formatdb"
BLASTALL = "C:\\PROGRA~1\\blast\\bin\\blastall"
BLASTCL3 = "C:\\PROGRA~1\\blastcl3\\blastcl3"

# Blast evalue cutoff for automatic tag generation 
EVALUE = 1e-3

# Name of your database (optional)
DBNAME = ''

STATIC_DOC_ROOT = 'C:\\Documents and Settings\\emilyw\\My Documents\\test\\gutentag1.0\\tagbase\\media' #path to media folder *escape backslashes in windows

#location of log file
LOG_FILE = 'C:\\Documents and Settings\\emilyw\\My Documents\\test\\gutentag1.0\\tagbase\\log.txt'

# Language code for this installation. All choices can be found here:
# http://www.i18nguy.com/unicode/language-identifiers.html
LANGUAGE_CODE = 'en-us'

SITE_ID = 1

# If you set this to False, Django will make some optimizations so as not
# to load the internationalization machinery.
USE_I18N = True

# Absolute path to the directory that holds media.
# Example: "/home/media/media.lawrence.com/"
MEDIA_ROOT = ''

# URL that handles the media served from MEDIA_ROOT. Make sure to use a
# trailing slash if there is a path component (optional in other cases).
# Examples: "http://media.lawrence.com", "http://example.com/media/"
MEDIA_URL = ''

# URL prefix for admin media -- CSS, JavaScript and images. Make sure to use a
# trailing slash.
# Examples: "http://foo.com/media/", "/media/".
ADMIN_MEDIA_PREFIX = '/media/'

# Make this unique, and don't share it with anybody.
SECRET_KEY = 'z7)y=52_n0*ylc87^g)kl3cu&no($whkduz9kl$d)9e_co7gvq'

# List of callables that know how to import templates from various sources.
TEMPLATE_LOADERS = (
    'django.template.loaders.filesystem.load_template_source',
    'django.template.loaders.app_directories.load_template_source',
#     'django.template.loaders.eggs.load_template_source',
)

MIDDLEWARE_CLASSES = (
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
)

ROOT_URLCONF = 'tagbase.urls'

TEMPLATE_DIRS = (
    'C:/Documents and Settings/emilyw/My Documents/test/gutentag1.0/tagbase/templates',
    # Put strings here, like "/var/www/html/tagbase/templates" or "C:/www/django/templates".
    # Always use forward slashes, even on Windows.
    # Don't forget to use absolute paths, not relative paths.
)

INSTALLED_APPS = (
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.sites',
    'tagbase.gutentag',
    'django.contrib.admin',
    'django.contrib.sessions',
    
)
